#!/system/bin/sh
#
device="/dev/rfcomm0"
binprefix="/system/bin/busybox "
#
# hci0 aktivieren
hciconfig hci0 up
#
hciconfig hci0 reset
echo "Suche nach Remote Bluetooth Device ..."
bdaddr=`hcitool scan | ${binprefix}sed -n -e 's#.*\([0-9A-F]\{2\}:[0-9A-F]\{2\}:[0-9A-F]\{2\}:[0-9A-F]\{2\}:[0-9A-F]\{2\}:[0-9A-F]\{2\}\).*#\1#p'`
if [ -z "${bdaddr}" ]; then
	echo "Kein Remote Bluetooth Device gefunden!" && exit 1
else
	echo "Remote Bluetooth Device gefunden: ${bdaddr}"
fi
#
# device node anlegen
[ ! -c ${device} ] && ${binprefix}mknod -m 666 ${device} c 216 0
#
# evtl. Verbindung releasen
rfcomm release ${device} ${bdaddr} 1 >/dev/null 2>&1
#
# Verbindung aufbauen
rfcomm bind ${device} ${bdaddr} 1
#
# GPS-Daten-Strom anstossen
${binprefix}cat ${device}
